#ifndef __UTILS_H
#define __UTILS_H

GList *read_file(FILE *f);
void *d_new(int t);
int get_type(void *data);
char *all_lower(char *s);
void conv_file(char *s);
int file_exists(char *file);
char *next_arg_full_max_length(char *s, char **next, char end, int max);
char *next_arg_full(char *s, char **next, char end);
char *next_arg_first(char *s, char **next, char **first);
char *next_arg(char *s, char **next);
char *last_arg(char *s, char **next);
void convert(char *s, char *type, void *c);
long my_atol(const char *nptr);
int my_atoi(const char *nptr);
char *simplify_size(unsigned long int size);
void property_free(void *data);
void download_free(void *data);
void mp3_free(void *data);
void search_free(void *data);
void server_free(void *data);
void user_free(void *data);
void channel_free(void *data);
void resume_free(void *data);
void gnapster_destroy(gpointer data);
int same_color(GdkColor col1, GdkColor col2);
void create_priv_dir();

#endif /* __UTILS_H */
